{% extends "base/base.html" %}
{% load bootstrap4 i18n %}
{% block title %}
    {% trans "Messages" %}
{% endblock %}
{% block body %}
    <ul class="list-group">
        {% for object in object_list %}
            <li class="list-group-item
                       {% if object.sender == request.user %}
                       list-group-item-primary text-right
                       {% else %}
                       list-group-item-secondary text-left
                       {% endif %}
                       ">
                {% if object.sender == request.user %}
                    {% if object.file %}
                        <a href="{{ object.file.url }}" class="badge badge-secondary">
                            {% trans "Attachment" %}
                        </a>
                    {% endif %}
                    {{ object.message }}
                    <span class="badge badge-pill badge-info">
                    {{ object.sender.username }}
                    </span>
                {% else %}
                    <span class="badge badge-pill badge-success">
                    {{ object.sender.username }}
                    </span>
                    {{ object.message }}
                    {% if object.file %}
                        <a href="{{ object.file.url }}" class="badge badge-secondary">
                            {% trans "Attachment" %}
                        </a>
                    {% endif %}
                {% endif %}
            </li>
        {% endfor %}
    </ul>
    <div class="card">
        <div class="card-body">
            <form action="{% url "messages_send" user_id=other_user.id %}" method="post" enctype="multipart/form-data">
                {% csrf_token %}
                {% bootstrap_form form %}
                {% trans "Send" as btn_content %}
                {% bootstrap_button content=btn_content button_type="submit" button_class="btn-primary btn-sm" %}
            </form>
        </div>
    </div>
{% endblock %}